Subject: Re: [PATCH, RFC] diff: add option to show context between close chunks

From: Johannes Sixt <[email-masked]>
Date: Tue, 21 Oct 2008 08:09:33 +0200

René Scharfe schrieb:
> I have to admit my main motivation was that one line gap, where a chunk
> header hid an interesting line of context.  Showing it didn't change the
> length of the patch, so I found this to be a sad wastage.

"Wastage" is relative. For a given patch, the one line of context that was
hidden by the hunk header would be welcome by a human reader, but it is
not necessarily useful if the patch is to be applied, in particular, if it
is applied to a version of the file that has *more* than one line between
the hunk contexts. This is the reason that diff does not produce 7 lines
of context between changes in -U3 mode ("you asked for 3 lines of context,
you get 3 lines of context").

BTW, nomenclature seems to have settled at the word "hunk", not "chunk".

-- Hannes